# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 384830110bddcebed00b6530a5336f07ad7c405f
    parent 2e54a21b5ae249a6bcedab9db611ea86037a018b
    Author: Hiltjo Posthuma <hiltjo@codemadness.org>
    Date:   Sun, 17 Nov 2019 20:04:52 +0100

    update FAQ

    - add common question about the w3m image drawing hack.
    - remove some bad advise about $TERM.
    - change some links to https.

    Diffstat:
    MFAQ | 21+++++++++++----------

    1 file changed, 11 insertions(+), 10 deletions(-)
    diff --git a/FAQ b/FAQ
    @@ -1,6 +1,6 @@
     ## Why does st not handle utmp entries?

    -Use the excellent tool of [utmp](http://git.suckless.org/utmp/) for this task.
    +Use the excellent tool of [utmp](https://git.suckless.org/utmp/) for this task.

     ## Some _random program_ complains that st is unknown/not recognised/unsupported/whatever!

    @@ -15,13 +15,6 @@ you can manually run `tic -sx st.info`.
     * Some programs don’t complain about the lacking st description and default to
       another terminal. In that case see the question about terminfo.

    -## I get some weird glitches/visual bug on _random program_!
    -
    -Try launching it with a different TERM: $ TERM=xterm myapp. toe(1) will give
    -you a list of available terminals, but you’ll most likely switch between xterm,
    -st or st-256color. The default value for TERM can be changed in config.h
    -(TNAME).
    -
     ## How do I scroll back up?

     Using a terminal multiplexer.
    @@ -104,7 +97,7 @@ St is emulating the Linux way of handling backspace being delete and delete bein
     backspace.

     This is an issue that was discussed in suckless mailing list
    -<http://lists.suckless.org/dev/1404/20697.html>. Here is why some old grumpy
    +<https://lists.suckless.org/dev/1404/20697.html>. Here is why some old grumpy
     terminal users wants its backspace to be how he feels it:

     	Well, I am going to comment why I want to change the behaviour
    @@ -163,7 +156,15 @@ terminal users wants its backspace to be how he feels it:

     Apply [1].

    -[1] http://st.suckless.org/patches/delkey
    +[1] https://st.suckless.org/patches/delkey
    +
    +## Why do images not work in st (in programs such as w3m)?
    +
    +This is a terrible hack that overdraws an image on top of the terminal emulator
    +window. It also relies on a very specific way the terminal draws it's contents.
    +
    +A more proper (but limited way) would be using sixels. Which st doesn't
    +support.

     ## BadLength X error in Xft when trying to render emoji